Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.objects.metadata
Class DBMetaAttribute

    java.lang.Object
      com.sun.mdm.index.objects.metadata.DBMetaAttribute

public class DBMetaAttribute
extends java.lang.Object

Database MetaData Attributes

Constructor Summary
`DBMetaAttribute()` Creates a new instance of DBMetaAttribute
`DBMetaAttribute(java.lang.String tablename, java.lang.String[] pk, java.lang.String[] fk, java.lang.String[] ptablenames)` creates a new instance of DBMetaAttribute by table name, array of pk, array fk, array of parent tables

Method Summary
`java.lang.String[]` | `getForeignKeys()` Getter for ForeignKeys attribute of the DBMetaAttribute object
`java.lang.String[]` | `getParentTableNames()` Getter for ParentTableNames attribute of the DBMetaAttribute object
`java.lang.String[]` | `getPrimaryKeys()` Getter for PrimaryKeys attribute of the DBMetaAttribute object
`java.lang.String` | `getTableName()` Getter for TableName attribute of the DBMetaAttribute object
`static void` | `main(java.lang.String[] args)` The main program for the DBMetaAttribute class
`void` | `setForeignKeys(java.lang.String[] fks)` Setter for ForeignKeys attribute of the DBMetaAttribute object
`void` | `setParentTableNames(java.lang.String[] ptablenames)` Setter for ParentTableNames attribute of the DBMetaAttribute object
`void` | `setPrimaryKeys(java.lang.String[] pks)` Setter for PrimaryKeys attribute of the DBMetaAttribute object
`void` | `setTableName(java.lang.String tablename)` Setter for TableName attribute of the DBMetaAttribute object
`java.lang.String` | `toString()` toString

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DBMetaAttribute

    public DBMetaAttribute()

  Creates a new instance of DBMetaAttribute

### DBMetaAttribute

    public DBMetaAttribute(java.lang.String tablename,
                           java.lang.String[] pk,
                           java.lang.String[] fk,
                           java.lang.String[] ptablenames)

  creates a new instance of DBMetaAttribute by table name, array of pk, array fk, array of parent tables

  Parameters:
    `tablename` - table name
    `pk` - primary keys
    `fk` - foreign keys
    `ptablenames` - parent table names

Method Detail

### getForeignKeys

    public java.lang.String[] getForeignKeys()

  Getter for ForeignKeys attribute of the DBMetaAttribute object

  Returns:
    String[]

### getParentTableNames

    public java.lang.String[] getParentTableNames()

  Getter for ParentTableNames attribute of the DBMetaAttribute object

  Returns:
    String[]

### getPrimaryKeys

    public java.lang.String[] getPrimaryKeys()

  Getter for PrimaryKeys attribute of the DBMetaAttribute object

  Returns:
    String[]

### getTableName

    public java.lang.String getTableName()

  Getter for TableName attribute of the DBMetaAttribute object

  Returns:
    String

### main

    public static void main(java.lang.String[] args)

  The main program for the DBMetaAttribute class

  Parameters:
    `args` - The command line arguments

### setForeignKeys

    public void setForeignKeys(java.lang.String[] fks)

  Setter for ForeignKeys attribute of the DBMetaAttribute object

  Parameters:
    `fks` - foreign keys

### setParentTableNames

    public void setParentTableNames(java.lang.String[] ptablenames)

  Setter for ParentTableNames attribute of the DBMetaAttribute object

  Parameters:
    `ptablenames` - parent table names

### setPrimaryKeys

    public void setPrimaryKeys(java.lang.String[] pks)

  Setter for PrimaryKeys attribute of the DBMetaAttribute object

  Parameters:
    `pks` - primary keys

### setTableName

    public void setTableName(java.lang.String tablename)

  Setter for TableName attribute of the DBMetaAttribute object

  Parameters:
    `tablename` - table name

### toString

    public java.lang.String toString()

  toString

  Returns:
    String

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.